Bug 242271 - games/stuntrally: fix build on PPC and ARM
Summary: games/stuntrally: fix build on PPC and ARM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-27 18:50 UTC by Piotr Kubaj
Modified: 2019-11-29 13:33 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback+


Attachments
patch (1.36 KB, patch)
2019-11-27 18:50 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (amdmi3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-27 18:50:20 UTC
Created attachment 209492 [details]
patch

Upstream PR:
https://github.com/stuntrally/stuntrally/pull/18

We had until now CXXFLAGS_gcc=-Wno-narrowing, but it looks like this was incorrect because it did not fix the original issue.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-11-28 20:02:50 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 Dmitry Marakasov freebsd_committer 2019-11-28 23:46:33 UTC
LGTM